Distribution:	CCux
Packager:  	Christian Metzen <metzench@ccux-linux.de>

Summary:   	gutenprint contains high quality drivers for Canon, Epson, Lexmark and PCL printers.
Name:      	gutenprint
Version:   	5.1.7
Release:   	1
Provides:	gutenprint
Conflicts:	gimp-print
Obsoletes: 	gimp-print
License: 	GNU/GPL
URL:		http://gimp-print.sourceforge.net/
Group:     	System/Configuration/Hardware
Source0: 	gutenprint-%{version}.tar.bz2
BuildRoot: 	%{_tmppath}/%{name}-buildroot
BuildRequires:	perl
BuildRequires:  atk-devel
BuildRequires:  glibc-devel
BuildRequires:  cairo-devel
BuildRequires:  openssl-devel
BuildRequires:  cups-devel
BuildRequires:  expat-devel
BuildRequires:  fontconfig-devel
BuildRequires:  freetype-devel
BuildRequires:  gdk-pixbuf-devel
BuildRequires:  gimp-devel
BuildRequires:  glib-devel
BuildRequires:  gtk+-devel
BuildRequires:  gtk2+-devel
BuildRequires:  gnutls-devel
BuildRequires:  libgpg-error-devel 
BuildRequires:  libjpeg-devel
BuildRequires:  ncurses-devel
BuildRequires:  pango-devel
BuildRequires:  libpng-devel
BuildRequires:  libtasn1-devel
BuildRequires:  readline-devel
BuildRequires:  libtiff-devel
BuildRequires:  libgcrypt-devel
BuildRequires:  zlib
AutoReq:	0

%description
High quality drivers for Canon, Epson, Lexmark, Sony, Olympus, and PCL printers for use with Ghostscript, CUPS, Foomatic, and the Gimp.
Gutenprint was formerly called Gimp-Print.

%package devel
Summary: 	gutenprint development headers.
Group:     	System/Configuration/Hardware
Requires: 	%{name} = %{version}

%description devel
Header and include files for developing applications with gutenprint.

%post
ldconfig

%postun
ldconfig

%prep
%setup -n %{name}-%{version}

%build
%configure 	--prefix=%_prefix \
		--mandir=%_mandir \
		--infodir=%_infodir \
		--disable-debug 
#		--with-gimp2-as-gutenprint
make

%install
make install-strip DESTDIR=$RPM_BUILD_ROOT
rm -f $RPM_BUILD_ROOT/usr/share/info/dir

%files
%defattr(-,root,root)
%_bindir
%_sbindir
%_sysconfdir
%_mandir
%_datadir/cups
%_datadir/gutenprint
%_datadir/locale
%_libdir/cups
%_libdir/gimp
%_libdir/pkgconfig
%_libdir/*.so.*
#/*
#%exclude /usr/include/*

%files devel
%defattr(-,root,root)
%_includedir/*
%_libdir/*.so
%_libdir/*.a
%_libdir/*.la

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Sat Mar 08 2008 Karsten Brockmann <arcam@ccux-linux.de> 5.1.7-1
- version update
* Sun Dec 30 2007 Karsten Brockmann <arcam@ccux-linux.de> 5.1.5-1
- version update
* Sat Jun 23 2007 Karsten Brockmann <arcam@ccux-linux.de> 5.1.3-1
- version update
* Sat Jun 16 2007 Karsten Brockmann <arcam@ccux-linux.de> 5.1.2-1
- version update
* Wed Aug 09 2006 Karsten Brockmann <arcam@ccux-linux.de> 5.0.0-2
- version update, 5.0.0 final
* Mon Apr 24 2006 Karsten Brockmann <arcam@ccux-linux.de> 5.0.0-1
- Initial Release, RC2
